Package: python-virtualenv / 15.1.0+ds-2

Metadata

Package Version Patches format
python-virtualenv 15.1.0+ds-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
system python.patch | (download)

scripts/virtualenv | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use /usr/bin/python3 in the shebang.

Bug-Debian: #663228
use wheels.patch | (download)

scripts/virtualenv | 9 9 + 0 - 0 !
setup.py | 4 2 + 2 - 0 !
virtualenv.egg-info/SOURCES.txt | 4 2 + 2 - 0 !
virtualenv.py | 52 49 + 3 - 0 !
4 files changed, 62 insertions(+), 7 deletions(-)

 use distro wheels instead of the bundled wheels.

Prepend the wheel paths onto the front of sys.path.  Also, when the venv
is created, copy the system wheels into <venv>/lib/python-wheels for use
by our patched pip wheel.  Make sure the command line script uses the
system wheels first.

Under Debian, we also have to install pkg_resources and _markerlib.
Since these get installed from distro wheels, and since Debian splits
setuptools and pkg_resources into separate binary packages, they get
built into separate wheels.  Thus we have to explicitly install
pkg_resources from wheel or assumptions made by Python packages that the
two always go together will be broken.

python2 default.patch | (download)

virtualenv.py | 5 3 + 2 - 0 !
1 file changed, 3 insertions(+), 2 deletions(-)

 even though /usr/bin/virtualenv is a python 3 script now, in

 Debian we still want to default to using Python 2 unless the -p/--python
 argument is given.
0004 Compatibility with pip 18.1.patch | (download)

virtualenv.py | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

 compatibility with pip 18.1

pip has been refactored and `main()` is now hidden inside `_internal`
module. We handle this case while keeping compatibility with older
versions.